This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464903 - perl Package to Install Core Modules
perl Package to Install Core Modules
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
ChangeAcceptedF27, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 04:34 EDT by Jan Kurik
Modified: 2017-08-15 04:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-5.26.0-395.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2017-06-26 04:34:16 EDT
This is a tracking bug for Change: perl Package to Install Core Modules
For more details, see: https://fedoraproject.org//wiki/Changes/perl_Package_to_Install_Core_Modules

dnf install perl will install all core Perl modules that come with Perl upstream sources.
Comment 1 marcindulak 2017-07-16 16:46:24 EDT
The following commits related to this ticket broke the specs I maintain on EPEL:

http://pkgs.fedoraproject.org/cgit/rpms/pulledpork.git/commit/pulledpork.spec?id=60db0c6d62c48336c01ac4956929540708fc7a5c

http://pkgs.fedoraproject.org/cgit/rpms/nwchem.git/commit/nwchem.spec?id=091723cb8046f3210516055522080cfbb3fce89a

http://pkgs.fedoraproject.org/cgit/rpms/exciting.git/commit/exciting.spec?id=5adb4a740c7c3bc01c66d4a5200ac8ad3d4ca730

The correct commit should be:

%if 0%{?fedora}
BuildRequires: perl-interpreter
%else
BuildRequires: perl
%endif


This could be the case for more packages.

Despite asking the commiter on July 12 2017 by email to correct those commits I have received no answer.
Comment 2 Petr Pisar 2017-07-17 03:44:43 EDT
I received thousands of e-mails and I deleted all of them based on a subject. If one of them was your e-mail, I'm sorry.

I did not touch EPEL branches at all, therefore I cannot see I could break them. If you merge your Fedora spec files into EPEL spec files, then that's you who knows how to best do it. Fedora cannot be restrained by EPEL.
Comment 3 Jan Kurik 2017-08-15 04:16:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.